## fastani 1.33

=== debian/changelog ===
fastani (1.33-2) unstable; urgency=medium

  * d/t/control: Restrict arches to not run tests on armhf, which
    fails on debci, but passes on a porter box

 -- Nilesh Patra <nilesh@debian.org>  Tue, 07 Sep 2021 20:05:50 +0530

fastani (1.33-1) unstable; urgency=medium

  * Initial release (Closes: #985992)

 -- Nilesh Patra <nilesh@debian.org>  Thu, 29 Apr 2021 12:38:46 +0530
