=== debian/control ===
Source: fastani
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Nilesh Patra <nilesh@debian.org>
Build-Depends: debhelper-compat (= 13), zlib1g-dev, libgsl-dev
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/fastani
Vcs-Git: https://salsa.debian.org/med-team/fastani.git
Homepage: https://github.com/ParBLiSS/FastANI
Rules-Requires-Root: no

Package: fastani
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: r-cran-genoplotr
Description: Fast alignment-free computation of whole-genome Average Nucleotide Identity
 ANI is defined as mean nucleotide identity of orthologous gene pairs
 shared between two microbial genomes. FastANI supports pairwise comparison
 of both complete and draft genome assemblies.
