## fastani 1.34

=== debian/changelog ===
fastani (1.34-1) unstable; urgency=medium

  * Team Upload.
  * Move to github tags instead of releases
  * Drop Redundant "Rules-Requires-Root: no"
  * Bump Standards-Version to 4.7.2 (no changes needed)
  * Drop myself from uploaders
  * New upstream version 1.34

 -- Nilesh Patra <nilesh@debian.org>  Sat, 01 Nov 2025 18:33:04 +0530

fastani (1.33-3) unstable; urgency=medium

  * Add patch to fix FTBFS with build after
    the build (Closes: #1044381)
  * Bump Standards-Version to 4.6.2 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Tue, 12 Sep 2023 22:24:03 +0530
