=== debian/control ===
--- 
+++ 
@@ -2,13 +2,11 @@
 Section: science
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Nilesh Patra <nilesh@debian.org>
 Build-Depends: debhelper-compat (= 13), zlib1g-dev, libgsl-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/fastani
 Vcs-Git: https://salsa.debian.org/med-team/fastani.git
 Homepage: https://github.com/ParBLiSS/FastANI
-Rules-Requires-Root: no
 
 Package: fastani
 Architecture: any
