## fastani 1.34%2Bds

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,repacksuffix=+ds" \
https://github.com/ParBLiSS/FastANI/tags .*/archive.*/v?@ANY_VERSION@\.tar\.gz
