## fastani 1.34+ds

=== debian/changelog ===
fastani (1.34+ds-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1.34+ds
  * Re-pack LFS data
  * Fixup autopkgtest

 -- Nilesh Patra <nilesh@debian.org>  Sat, 01 Nov 2025 19:13:28 +0530
