=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-genoplotr
Restrictions: allow-stderr
Architecture: amd64 arm64 i386 ppc64el
